unit untConfig;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils;

type

  { TConfigReader }

  TConfigReader = class
  public
    class function GetMCToken(): string;
    class procedure SaveMCToken(AToken: string);
  end;

implementation

{ TConfigReader }

class function TConfigReader.GetMCToken(): string;
var
  ACfgPath: String;
  i: Integer;
  AToken: String = '';
begin
  ACfgPath:= ExtractFilePath(ParamStr(0)) + DirectorySeparator + 'Data' + DirectorySeparator + 'config.conf';
  with TStringList.Create do begin
    LoadFromFile(ACfgPath);
    // MyCardToken->
    for i := 0 to Count - 1 do begin
      if Strings[i].StartsWith('MyCardToken->') then begin
        // read token
        AToken := Strings[i].Replace('MyCardToken->', '', [rfIgnoreCase, rfReplaceAll]);
      end;
    end;
    Free;
  end;
  Exit(AToken);
end;

class procedure TConfigReader.SaveMCToken(AToken: string);
var
  ACfgPath: String;
  AFound: Boolean = False;
  i: Integer;
begin
  ACfgPath:= ExtractFilePath(ParamStr(0)) + DirectorySeparator + 'Data' + DirectorySeparator + 'config.conf';
  with TStringList.Create do begin
    LoadFromFile(ACfgPath);
    for i := 0 to Count - 1 do begin
      if Strings[i].StartsWith('MyCardToken->') then begin
        AFound := True;
        // override token
        Strings[i] := 'MyCardToken->' + AToken;
      end;
    end;
    if (not AFound) then begin
      Add('MyCardToken->' + AToken);
    end;
    SaveToFile(ACfgPath);
    Free;
  end;

end;

end.

